Debian Bug report logs - #615684
qucs: ftbfs with gcc-4.5

version graph

Package: qucs; Maintainer for qucs is José L. Redrejo Rodríguez <jredrejo@debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Mon, 28 Feb 2011 00:36:55 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in versions qucs/0.0.15-1, 0.0.15-1

Fixed in version qucs/0.0.15-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to jredrejo@debian.org (José L. Redrejo Rodríguez):
Bug#615684; Package qucs. (Mon, 28 Feb 2011 00:36:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to jredrejo@debian.org (José L. Redrejo Rodríguez). (Mon, 28 Feb 2011 00:36:58 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: qucs: ftbfs with gcc-4.5
Date: Mon, 28 Feb 2011 00:34:10 +0000
Package: qucs
Version: 0.0.15-1
Severity: normal
Tags: sid
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.5

The package fails to build in a test rebuild on at least amd64 with
gcc-4.5/g++-4.5, but succeeds to build with gcc-4.4/g++-4.4.

The full build log can be found at:
http://people.debian.org/~lucas/logs/2011/02/14/gcc/gcc4.5/qucs_0.0.15-1_lsid64b.buildlog
The last lines of the build log are at the end of this report.

Some more details can be found at
http://lists.debian.org/debian-devel-announce/2011/02/msg00012.html

[...]
/usr/include/c++/4.5/tr1/complex:67:5: note:                 std::complex<typename __gnu_cxx::__promote<_Tp>::__type> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
spfile.cpp:406:34: error: call of overloaded 'conj(nr_complex_t)' is ambiguous
/usr/include/c++/4.5/complex:667:33: note: candidates are: std::complex<_Tp> std::conj(const std::complex<_Tp>&) [with _Tp = double]
/usr/include/c++/4.5/tr1/complex:62:5: note:                 std::complex<_Tp> std::tr1::conj(const std::complex<_Tp>&) [with _Tp = double]
/usr/include/c++/4.5/tr1/complex:67:5: note:                 std::complex<typename __gnu_cxx::__promote<_Tp>::__type> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
spfile.cpp: In member function 'double spfile::noiseFigure(matrix, matrix, double&, nr_complex_t&, double&)':
spfile.cpp:418:63: error: call of overloaded 'conj(nr_complex_t)' is ambiguous
/usr/include/c++/4.5/complex:667:33: note: candidates are: std::complex<_Tp> std::conj(const std::complex<_Tp>&) [with _Tp = double]
/usr/include/c++/4.5/tr1/complex:62:5: note:                 std::complex<_Tp> std::tr1::conj(const std::complex<_Tp>&) [with _Tp = double]
/usr/include/c++/4.5/tr1/complex:67:5: note:                 std::complex<typename __gnu_cxx::__promote<_Tp>::__type> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
spfile.cpp:436:58: error: call of overloaded 'conj(std::complex<double>)' is ambiguous
/usr/include/c++/4.5/complex:667:33: note: candidates are: std::complex<_Tp> std::conj(const std::complex<_Tp>&) [with _Tp = double]
/usr/include/c++/4.5/tr1/complex:62:5: note:                 std::complex<_Tp> std::tr1::conj(const std::complex<_Tp>&) [with _Tp = double]
/usr/include/c++/4.5/tr1/complex:67:5: note:                 std::complex<typename __gnu_cxx::__promote<_Tp>::__type> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
make[7]: *** [spfile.o] Error 1
make[7]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core/src/components'
make[6]: *** [all-recursive] Error 1
make[6]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core/src/components'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core/src'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15'
make[1]: *** [all] Error 2
make: *** [build-stamp] Error 2
make[1]: Leaving directory `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15'
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Severity set to 'important' from 'normal' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 01:12:21 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:32:39 GMT) Full text and rfc822 format available.

Information forwarded to jredrejo@debian.org (José L. Redrejo Rodríguez):
Bug#615684; Package qucs. (Fri, 04 Mar 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Jahn" <stefan@gruft.de>:
Extra info received and forwarded to maintainer. Copy sent to jredrejo@debian.org (José L. Redrejo Rodríguez). (Fri, 04 Mar 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #14 received at maintonly@bugs.debian.org (full text, mbox):

From: "Stefan Jahn" <stefan@gruft.de>
To: "Matthias Klose" <doko@debian.org>, 615684-maintonly@bugs.debian.org
Cc: maintonly@bugs.debian.org, "Qucs" <qucs-devel@lists.sourceforge.net>
Subject: Re: Bug#615684: qucs: ftbfs with gcc-4.5
Date: Fri, 4 Mar 2011 14:10:32 +0100
Am Mo, 28.02.2011, 01:34 schrieb Matthias Klose:

Hello Matthias,

can you provide information on how to solve this problem, since
I do not have gcc 4.5 at hand??

Thanks in advance, Stefan.

> Package: qucs
> Version: 0.0.15-1
> Severity: normal
> Tags: sid
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.5
>
> The package fails to build in a test rebuild on at least amd64 with
> gcc-4.5/g++-4.5, but succeeds to build with gcc-4.4/g++-4.4.
>
> The full build log can be found at:
> http://people.debian.org/~lucas/logs/2011/02/14/gcc/gcc4.5/qucs_0.0.15-1_lsid64b.buildlog
> The last lines of the build log are at the end of this report.
>
> Some more details can be found at
> http://lists.debian.org/debian-devel-announce/2011/02/msg00012.html
>
> [...]
> /usr/include/c++/4.5/tr1/complex:67:5: note:
> std::complex<typename __gnu_cxx::__promote<_Tp>::__type>
> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename
> __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
> spfile.cpp:406:34: error: call of overloaded 'conj(nr_complex_t)' is
> ambiguous
> /usr/include/c++/4.5/complex:667:33: note: candidates are:
> std::complex<_Tp> std::conj(const std::complex<_Tp>&) [with _Tp = double]
> /usr/include/c++/4.5/tr1/complex:62:5: note:
> std::complex<_Tp> std::tr1::conj(const std::complex<_Tp>&) [with _Tp =
> double]
> /usr/include/c++/4.5/tr1/complex:67:5: note:
> std::complex<typename __gnu_cxx::__promote<_Tp>::__type>
> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename
> __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
> spfile.cpp: In member function 'double spfile::noiseFigure(matrix, matrix,
> double&, nr_complex_t&, double&)':
> spfile.cpp:418:63: error: call of overloaded 'conj(nr_complex_t)' is
> ambiguous
> /usr/include/c++/4.5/complex:667:33: note: candidates are:
> std::complex<_Tp> std::conj(const std::complex<_Tp>&) [with _Tp = double]
> /usr/include/c++/4.5/tr1/complex:62:5: note:
> std::complex<_Tp> std::tr1::conj(const std::complex<_Tp>&) [with _Tp =
> double]
> /usr/include/c++/4.5/tr1/complex:67:5: note:
> std::complex<typename __gnu_cxx::__promote<_Tp>::__type>
> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename
> __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
> spfile.cpp:436:58: error: call of overloaded 'conj(std::complex<double>)'
> is ambiguous
> /usr/include/c++/4.5/complex:667:33: note: candidates are:
> std::complex<_Tp> std::conj(const std::complex<_Tp>&) [with _Tp = double]
> /usr/include/c++/4.5/tr1/complex:62:5: note:
> std::complex<_Tp> std::tr1::conj(const std::complex<_Tp>&) [with _Tp =
> double]
> /usr/include/c++/4.5/tr1/complex:67:5: note:
> std::complex<typename __gnu_cxx::__promote<_Tp>::__type>
> std::tr1::conj(_Tp) [with _Tp = std::complex<double>, typename
> __gnu_cxx::__promote<_Tp>::__type = std::complex<double>]
> make[7]: *** [spfile.o] Error 1
> make[7]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core/src/components'
> make[6]: *** [all-recursive] Error 1
> make[6]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core/src/components'
> make[5]: *** [all-recursive] Error 1
> make[5]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core/src'
> make[4]: *** [all-recursive] Error 1
> make[4]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core'
> make[3]: *** [all] Error 2
> make[3]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15/qucs-core'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15'
> make[1]: *** [all] Error 2
> make: *** [build-stamp] Error 2
> make[1]: Leaving directory
> `/build/user-qucs_0.0.15-1-amd64-vHgchh/qucs-0.0.15'
> dpkg-buildpackage: error: debian/rules build gave error exit status 2







Information forwarded to jredrejo@debian.org (José L. Redrejo Rodríguez):
Bug#615684; Package qucs. (Fri, 04 Mar 2011 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Jahn" <stefan@gruft.de>:
Extra info received and forwarded to maintainer. Copy sent to jredrejo@debian.org (José L. Redrejo Rodríguez). (Fri, 04 Mar 2011 13:57:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 13 Mar 2011 17:27:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#615684; Package qucs. (Fri, 23 Sep 2011 21:15:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel T Chen <seven.steps@gmail.com>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Fri, 23 Sep 2011 21:16:18 GMT) Full text and rfc822 format available.

Message #26 received at 615684@bugs.debian.org (full text, mbox):

From: Daniel T Chen <seven.steps@gmail.com>
To: Debian Bug Tracking System <615684@bugs.debian.org>
Subject: Re: ftbfs with gcc-4.5 and gcc-4.6
Date: Fri, 23 Sep 2011 17:12:34 -0400
[Message part 1 (text/plain, inline)]
Package: qucs
Version: 0.0.15-1
Followup-For: Bug #615684
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

In Ubuntu, the attached patch was applied to achieve the following:

  * Backport patch from Red Hat Bugzilla #631404 (cf.
    https://bugzilla.redhat.com/attachment.cgi?id=511054) to disable
    use of tr1 for complex functions. Fixes FTBFS. (LP: #756183)


Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric-proposed'), (500, 'oneiric')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-11-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[tmp3IBo84 (text/x-c, attachment)]

Added tag(s) patch. Request was from Dan Chen <seven.steps@gmail.com> to control@bugs.debian.org. (Fri, 23 Sep 2011 21:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#615684; Package qucs. (Wed, 28 Sep 2011 17:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Wed, 28 Sep 2011 17:00:07 GMT) Full text and rfc822 format available.

Message #33 received at 615684@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 615684@bugs.debian.org
Subject: qucs: diff for NMU version 0.0.15-1.1
Date: Wed, 28 Sep 2011 18:57:55 +0200
[Message part 1 (text/plain, inline)]
tags 615684 + pending
thanks

Dear maintainer,

I've prepared an NMU for qucs (versioned as 0.0.15-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Rolling Stones
[615684.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 17:00:10 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 30 Sep 2011 17:21:08 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 30 Sep 2011 17:21:08 GMT) Full text and rfc822 format available.

Message #40 received at 615684-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 615684-close@bugs.debian.org
Subject: Bug#615684: fixed in qucs 0.0.15-1.1
Date: Fri, 30 Sep 2011 17:19:00 +0000
Source: qucs
Source-Version: 0.0.15-1.1

We believe that the bug you reported is fixed in the latest version of
qucs, which is due to be installed in the Debian FTP archive:

qucs_0.0.15-1.1.diff.gz
  to main/q/qucs/qucs_0.0.15-1.1.diff.gz
qucs_0.0.15-1.1.dsc
  to main/q/qucs/qucs_0.0.15-1.1.dsc
qucs_0.0.15-1.1_i386.deb
  to main/q/qucs/qucs_0.0.15-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615684@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated qucs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Sep 2011 18:30:51 +0200
Source: qucs
Binary: qucs
Architecture: source i386
Version: 0.0.15-1.1
Distribution: unstable
Urgency: low
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 qucs       - Quite Universal Circuit Simulator
Closes: 615684
Changes: 
 qucs (0.0.15-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "ftbfs with gcc-4.5": apply patch from Ubuntu / Daniel T Chen:
     - Backport patch from Red Hat Bugzilla #631404 (cf.
       https://bugzilla.redhat.com/attachment.cgi?id=511054) to disable
       use of tr1 for complex functions. Fixes FTBFS.
     Closes: #615684
     LP: #756183
Checksums-Sha1: 
 eea4cb5277b67d6ad36b627d14d55a00299cbe96 1713 qucs_0.0.15-1.1.dsc
 48563e21b20859cfdb24e630f9bb09ff07530f67 60882 qucs_0.0.15-1.1.diff.gz
 0c4a1d25cb5d7e5c32f49d6e5a5a7b1fe1d38521 6195236 qucs_0.0.15-1.1_i386.deb
Checksums-Sha256: 
 000b52cce8ee9868158909d18ed0ff6f29c7234a514c1465a9d0303014b440f2 1713 qucs_0.0.15-1.1.dsc
 12d855c3f8d8aae44d39ee1bf4c14f34ae8f777f8bcac926fd245c0d6a8beff1 60882 qucs_0.0.15-1.1.diff.gz
 0e6521f209437ebc029f6c16191c9ae43363cbdbac1c64b328779ea49c9f5b38 6195236 qucs_0.0.15-1.1_i386.deb
Files: 
 24b7168af0e5b79a5b24f9dd702a01bb 1713 electronics optional qucs_0.0.15-1.1.dsc
 30fe6cb0a146a0aea9f2c9b071e5f723 60882 electronics optional qucs_0.0.15-1.1.diff.gz
 ae06d774c231c8ae1b8159c8c796273d 6195236 electronics optional qucs_0.0.15-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOg09qAAoJELs6aAGGSaoGL/cQALS/cLIvrcRDX/gbqIUiHKDC
w+nZqd6t2vg8bEMSimb3VVA+UX8bkO9dX2Dm88Mmvv4I8E3H2SEodFCrZA6GeD82
bV1f+f8wfjU0afnFc7W8/rayy3LYkvvCe8RBUl69zY9afwea1I333FVGz/oFNtF4
0JYwdbKoPm0qfNCwIYlfzdInqNDmsMkDShCW26AxXCKEGz3RFssPiPQncJDYK5hC
gx7wc5odf6+pr59qUuCk4ac8/7vDK0PNb0XbFphDCAVyW/AX1c2ZFchG+ubMTDFY
8jdnivX/NdomyQmEBJNt665zeaZT0Br+bBazvHKg8Vnkwijp0ITVL2pqcDzqyytm
Vb0I8+VT0MBArZGDkn1VcODAfwSk2F/5eIgaA//8CHTqeWKngFK7BQDlnvlJCExM
uiKJvmQdbqAtmM0+qYBqhGglugnBueKeNOEIXW9nvRQyPvmDIlqo7hojdSbbNGaT
jLK/1PE9Vl2p/aI0m9yqfIPW6xVlkROmOH6MdrcmscYv9+1BxMmwBdc5/4LEc4NE
3NoAfMpSuWdu4gZWYxKS52x7IfeK+FNhFkI/kEQjyC9at/s6AVksI9+g9MHgt3tR
foImUOxCPuOGmzpCLlbZ0RdAooz/YPZdfVRPp3GUdjNwoAY61yS/IYzvjeN+Na49
VEu/BGxkm2DOYXT/al+c
=ebsW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:29:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:29:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.